package com.xhkjedu.sapi.config;

import org.springframework.amqp.core.Queue;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author ywx
 * @classname RabbitConfig
 * @description
 * @date 2021/6/18 12:51
 **/
@Configuration
public class RabbitConfig {

    @Value("${rabbitmq.researchTransferQueue}")
    private String researchTransferQueue;

    @Value("${rabbitmq.resourceDelQueue}")
    private String resourceDelQueue;

    @Value("${rabbitmq.researchHandleQueue}")
    private String researchHandleQueue;


    @Bean
    public Queue researchTransferQueue() {
        return new Queue(researchTransferQueue);
    }

    @Bean
    public Queue resourceDelQueue() {
        return new Queue(resourceDelQueue);
    }

    @Bean
    public Queue researchHandleQueue() {
        return new Queue(researchHandleQueue);
    }

}
